Option Strict Off
Public Class tblStructure
    Friend Enum TColumnName As Integer
        'ProductTble
        etID = 0
        etProductName = 1
        etCategoryName = 2
        etQuantityPerOrder = 3
        etUnitType = 4
        etUnitPrice = 5
        etUnitsInStock = 6
        etUnitsOnOrder = 7
        etReorderLevel = 8
        etDiscontinued = 9
    End Enum


    'Function to find a specific row within a dataset 
    'without using SQLDataReader, OLEAdaptor, Connection strings etc.... 
    'Parse dataset built from an (*.xml) file
    'Returns the row location
    Friend Function FindTableRow(ByVal myDataset As DataSet, ByVal iElementName As TColumnName, ByVal sCriteria As String) As Int32
        Dim a, b, count As Integer
        Dim sStr As String

        count = myDataset.Tables(0).Rows.Count

        Select Case iElementName
            Case 0  'etID
                sStr = "ID"
            Case 1   'etProductName
                sStr = "ProductName"
            Case 2   'etCategoryName
                sStr = "CategoryName"
            Case 3   'etQuantityPerOrder
                sStr = "QuantityPerOrder"
            Case 4   'etUnitType
                sStr = "UnitType"
            Case 5  'etUnitPrice 
                sStr = "UnitPrice"
            Case 6   'etUnitsInStock
                sStr = "UnitsInStock"
            Case 7  'etUnitsOnOrder 
                sStr = "UnitsOnOrder"
            Case 8   'etReorderLevel
                sStr = "ReorderLevel"
            Case 9   'etDiscontinued
                sStr = "Discontinued"
        End Select


        For b = 0 To (count - 1)
            If myDataset.Tables(0).Rows(b).Item(sStr).ToString.ToUpper Like ((sCriteria.ToUpper) & "*") Then
                a = b
                Exit For
            End If
        Next
        Return a
    End Function
End Class
